<?php
//load base wp functions
include '../../../../wp-load.php';
require_once( dirname(__FILE__) . '/../commons.php' );

define('WP_USE_THEMES', false);

global $wpdb, $file_commerce_pro;

$query = $wpdb->prepare("select * from " . $wpdb->prefix . FILECOMMERCEPRO_TABLE_FILES . " where status > %d", array(0));
$files = $wpdb->get_results($query);

foreach ($files as $file)
{		
    $buffer .= '<div class="product">';
    if (strlen($file->image) > 0) $buffer .= '<a href="'.$file_commerce_pro->get_option('main_url').'" target="_blank" name="'.$file->title.'"><img src="'.$file->image.'" /></a>'; 
    else $buffer .= '<a href="'.$file_commerce_pro->get_option('main_url').'" target="_blank" name="'.$file->title.'"><img src="'.get_bloginfo('url').'/wp-content/plugins/file-commerce-pro/img/fcp50x50.png" /></a>';
    $buffer .= '<div class="clear">&nbsp;</div><p><a href="'.$file_commerce_pro->get_option('main_url').'" target="_blank" name="'.$file->title.'">'.$file->title.'</a></p>';    
    $buffer .= '</div>';
}

?>
<html>
    <head> 
        <style type="text/css">
	        a { text-decoration: none; color: #000; }
	        #container { border: 1px solid #ddd; text-align: center; }
	        #header, #footer { width: 100%; margin: 0 auto; text-align: center; font-weight: bold; font-size: 16px; }
                #footer a { color: #000; font-weight: bold; }
	        #slideshow { height: 140px; width: 170px; margin: 5px 5px;}
	        #slideshow div.product { font-size: 13px; border: none; width: 100%; margin: 0 auto;}
	        #slideshow div.clear { clear: both; }
	        #slideshow img { margin:5px; padding:2px; border:1px solid #999; background-color:#FFF; -moz-box-shadow:0 0 7px #333; -webkit-box-shadow:0 0 7px #333; width:50px;}
	        #slideshow p { margin-left: 5px; }
                #slideshow a { color: #999; }
	    </style> 
        
        <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.5/jquery.min.js"></script>
        <script type="text/javascript" src="http://malsup.github.com/jquery.cycle.all.js"></script>        
        <script type="text/javascript" src="http://malsup.github.com/jquery.corner.js"></script>
        <script type="text/javascript"> 
        $(document).ready(function() {
            $('#container').corner();                       
            
            $('#slideshow').cycle({
                fx:     'scrollUp',
                timeout: 6000,
                delay:  -2000
                });
        });        
        </script> 
    </head>
    <body>
        <div id="container">
            <div id="header"><a href="<?php echo get_bloginfo('url'); ?>" target="_blank"><?php echo get_bloginfo('name'); ?></a></div>
            <div class="clear"></div>
            <div id="slideshow">
                <?php echo $buffer; ?>
            </div>
            <div class="clear"></div>
            <div id="footer"><a href="<?php echo $file_commerce_pro->get_option('main_url') ?>" target="_blank" name="BUY IT">BUY IT</a></div>                
        </div>        
    </body>
</html>